Summary:	A handy file search tool
Name:		catfish
Version:	1.3.3
Release:	%mkrel 2
Group:		File tools
License:	GPLv2+
URL:		http://software.twotoasts.de/?page=%{name}
Source0:	http://software.twotoasts.de/media/%{name}/%{name}-%{version}.tar.xz
Patch0:		catfish-1.0.0-strict-Gtk-typelib-requires.patch
Patch1:		catfish-1.3.2-menuitem-missing.patch
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	pygtk2.0-libglade
Requires:	pyxdg
Requires:	dbus-python
Requires:	mlocate
Requires:	findutils
Requires:	python-gobject3
Requires:	python-pexpect
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	python >= 2.7

%description
A handy file searching tool for linux. Basically it is a 
frontend for different search engines (daemons) which 
provides a unified interface. The interface is intentionally 
lightweight and simple, using only GTK+ 2. You can configure 
it to your needs by using several command line options.

%prep
%setup -q
%apply_patches


%build
sed -i.misc \
	-e '/svg/s|install|install -pm 644|' \
	-e '/glade/s|install| install -pm 644|' \
	-e 's|install |install -p |' \
	-e 's|pyc|py|' \
	-e 's|^\([ \t]*\)ln |\1: ln |' \
	-e 's|cp -rf|cp -prf|' \
	Makefile.in.in

	sed -i.check \
	-e 's|check ||g' \
	configure

./configure \
	--prefix=%{_prefix} \
	--python=python

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install --vendor="" \
 	--remove-category="Utility" \
	--add-category="X-MandrivaLinux-System-FileTools" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -rf %{buildroot}%{_datadir}/doc/

ln -sf ../pixmaps/%{name}.svg %{buildroot}%{_datadir}/%{name}/
ln -sf ../locale/ %{buildroot}%{_datadir}/%{name}/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/appdata/catfish.appdata.xml


%changelog
* Thu Oct 22 2015 bb <bb> 1.3.3-2pclos2015
- add patch but not sure why when it works already

* Wed Oct 21 2015 bb <bb> 1.3.3-1pclos2015
- update

* Fri Aug 15 2014 bb <bb> 1.0.3-1pclos2014
- update

* Sat Feb 22 2014 bb <bb> 1.0.1-1pclos2014
- add dep python-pexpect

* Sun Feb 16 2014 bb <bb> 1.0.0-1pclos2014
- update

